Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pre-built binaries not found for fsevents@1.1.3 and node@9.3.0 #196

Closed
diegozhu opened this Issue Jan 4, 2018 · 10 comments

Comments

Projects
None yet
@diegozhu
Copy link

diegozhu commented Jan 4, 2018

[user@MacBook-Pro /Users/user]$sudo npm install fsevents -g
>fsevents@1.1.3 install /usr/local/lib/node_modules/fsevents
>node install

node-pre-gyp ERR! Tried to download(undefined): https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.3/fse-v1.1.3-node-v59-darwin-x64.tar.gz 
node-pre-gyp ERR! Pre-built binaries not found for fsevents@1.1.3 and node@9.3.0 (node-v59 ABI, unknown) (falling back to source compile with node-gyp) 
gyp ERR! clean error 
gyp ERR! stack Error: EACCES: permission denied, rmdir 'build'
gyp ERR! System Darwin 17.3.0
gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "clean"
gyp ERR! cwd /usr/local/lib/node_modules/fsevents
gyp ERR! node -v v9.3.0
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok 
node-pre-gyp ERR! build error 
node-pre-gyp ERR! stack Error: Failed to execute '/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js clean' (1)
node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/usr/local/lib/node_modules/fsevents/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:159:13)
node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:943:16)
node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:220:5)
node-pre-gyp ERR! System Darwin 17.3.0
node-pre-gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/fsevents/node_modules/node-pre-gyp/bin/node-pre-gyp" "install" "--fallback-to-build"
node-pre-gyp ERR! cwd /usr/local/lib/node_modules/fsevents
node-pre-gyp ERR! node -v v9.3.0
node-pre-gyp ERR! node-pre-gyp -v v0.6.39
node-pre-gyp ERR! not ok 
Failed to execute '/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js clean' (1)
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! fsevents@1.1.3 install: `node install`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the fsevents@1.1.3 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/bama/.npm/_logs/2018-01-04T09_20_43_507Z-debug.log

npm -v 5.6.0
node -v v9.3.0
log file:
2018-01-04T09_20_43_507Z-debug.log

@es128

This comment has been minimized.

Copy link
Contributor

es128 commented Jan 4, 2018

The binary at https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.3/fse-v1.1.3-node-v59-darwin-x64.tar.gz IS available online.

It's not clear why you were unable to reach it in this instance, but it's likely something local to your system or network. It may have been temporary.

@es128 es128 closed this Jan 4, 2018

@denovich

This comment has been minimized.

Copy link

denovich commented Jan 26, 2018

I can download that file online from my machine (using curl) but the installer still fails as above on virgin NPM install on OSX.

@70853n

This comment has been minimized.

Copy link

70853n commented Mar 9, 2018

Got the same issue with
node -v v9.8.0
npm -v 5.6.0

Using node v8.10.0 solved the issue

@uruir

This comment has been minimized.

Copy link

uruir commented Mar 13, 2018

the same, can download via folx, can't install.

@oncletom

This comment has been minimized.

Copy link

oncletom commented Apr 17, 2018

Here is the trace I get during the install:

node-pre-gyp info using node@9.11.1 | darwin | x64
node-pre-gyp verb command install []
node-pre-gyp info check checked for "/Users/oncletom/workspace/nodebook/chapter-09/node_modules/fsevents/lib/binding/Release/node-v59-darwin-x64/fse.node" (not found)
node-pre-gyp http GET https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.1/fse-v1.1.1-node-v59-darwin-x64.tar.gz
node-pre-gyp http 404 https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.1/fse-v1.1.1-node-v59-darwin-x64.tar.gz
node-pre-gyp ERR! Tried to download(404): https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.1/fse-v1.1.1-node-v59-darwin-x64.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for fsevents@1.1.1 and node@9.11.1 (node-v59 ABI) (falling back to source compile with node-gyp)
node-pre-gyp http 404 status code downloading tarball https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.1/fse-v1.1.1-node-v59-darwin-x64.tar.gz
node-pre-gyp verb command build [ 'rebuild' ]
curl --head https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.1/fse-v1.1.1-node-v59-darwin-x64.tar.gz
HTTP/1.1 404 Not Found
x-amz-request-id: 858BF00620688E87
x-amz-id-2: wGxXHLlXgoWdRi2pab9p3499N2E2afKYAxmdZxlm8Vq40qoL8FUAuWTiQapxIB9yz+65T6Akvns=
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Tue, 17 Apr 2018 21:27:24 GMT
Server: AmazonS3
@pich4ya

This comment has been minimized.

Copy link

pich4ya commented Jun 4, 2018

same here

@dbrowse

This comment has been minimized.

Copy link

dbrowse commented Sep 26, 2018

npm audit fix not help you ?

@felansu

This comment has been minimized.

Copy link

felansu commented Oct 22, 2018

+1

@drewbaker

This comment has been minimized.

Copy link

drewbaker commented Dec 2, 2018

Same here

@bnoordhuis

This comment has been minimized.

Copy link
Contributor

bnoordhuis commented Dec 2, 2018

I'm locking this to discourage further "me too" posts.

@fsevents fsevents locked as resolved and limited conversation to collaborators Dec 2, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
You can’t perform that action at this time.